%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-Business-ISBN-Data
Version:       20250220.001
Release:       1mamba
Summary:       Business::ISBN::Data - The data pack for Business::ISBN
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.cpan.org
Source:        https://cpan.metacpan.org/authors/id/B/BR/BRIANDFOY/Business-ISBN-Data-%{version}.tar.gz
License:       Artistic License
BuildArch:     noarch
## AUTOBUILDREQ-BEGIN
BuildRequires: libperl
BuildRequires: perl-devel
## AUTOBUILDREQ-END

%description
The %{name} package is the data pack for Business::ISBN.

%prep
%setup -q -n Business-ISBN-Data-%{version}

%build
perl Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor
%make
%make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl
packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%buildroot,,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
rm -f .packlist

%files -f .packlist
%defattr(-,root,root)

%changelog
* Thu Feb 20 2025 Automatic Build System <autodist@openmamba.org> 20250220.001-1mamba
- automatic version update by autodist

* Thu Feb 06 2025 Automatic Build System <autodist@openmamba.org> 20250205.001-1mamba
- automatic version update by autodist

* Sat Jan 18 2025 Automatic Build System <autodist@openmamba.org> 20250118.001-1mamba
- automatic version update by autodist

* Thu Jan 16 2025 Automatic Build System <autodist@openmamba.org> 20250116.001-1mamba
- automatic version update by autodist

* Wed Jan 15 2025 Automatic Build System <autodist@openmamba.org> 20250115.001-1mamba
- automatic version update by autodist

* Sun Jan 12 2025 Automatic Build System <autodist@openmamba.org> 20250109.001-1mamba
- automatic version update by autodist

* Tue Dec 24 2024 Automatic Build System <autodist@openmamba.org> 20241224.001-1mamba
- automatic version update by autodist

* Sun Dec 08 2024 Automatic Build System <autodist@openmamba.org> 20241206.001-1mamba
- automatic version update by autodist

* Thu Dec 05 2024 Automatic Build System <autodist@openmamba.org> 20241205.001-1mamba
- automatic version update by autodist

* Sat Nov 23 2024 Automatic Build System <autodist@openmamba.org> 20241123.001-1mamba
- automatic version update by autodist

* Sat Nov 16 2024 Automatic Build System <autodist@openmamba.org> 20241112.001-1mamba
- automatic version update by autodist

* Fri Nov 08 2024 Automatic Build System <autodist@openmamba.org> 20241107.001-1mamba
- automatic version update by autodist

* Wed Nov 06 2024 Automatic Build System <autodist@openmamba.org> 20241105.001-1mamba
- automatic version update by autodist

* Sat Oct 26 2024 Automatic Build System <autodist@openmamba.org> 20241025.001-1mamba
- automatic version update by autodist

* Sun Oct 20 2024 Automatic Build System <autodist@openmamba.org> 20241019.001-1mamba
- automatic version update by autodist

* Fri Oct 18 2024 Automatic Build System <autodist@openmamba.org> 20241017.001-1mamba
- automatic version update by autodist

* Tue Oct 15 2024 Automatic Build System <autodist@openmamba.org> 20241014.001-1mamba
- automatic version update by autodist

* Mon Sep 30 2024 Automatic Build System <autodist@openmamba.org> 20240930.001-1mamba
- automatic version update by autodist

* Thu Sep 19 2024 Automatic Build System <autodist@openmamba.org> 20240918.001-1mamba
- automatic version update by autodist

* Sun Sep 15 2024 Automatic Build System <autodist@openmamba.org> 20240914.001-1mamba
- automatic version update by autodist

* Sat Sep 07 2024 Automatic Build System <autodist@openmamba.org> 20240906.001-1mamba
- automatic version update by autodist

* Thu Aug 29 2024 Automatic Build System <autodist@openmamba.org> 20240821.001-1mamba
- automatic version update by autodist

* Tue Aug 20 2024 Automatic Build System <autodist@openmamba.org> 20240820.001-1mamba
- automatic version update by autodist

* Sat Aug 17 2024 Automatic Build System <autodist@openmamba.org> 20240817.001-1mamba
- automatic version update by autodist

* Fri Aug 16 2024 Automatic Build System <autodist@openmamba.org> 20240815.001-1mamba
- automatic version update by autodist

* Wed Aug 07 2024 Automatic Build System <autodist@openmamba.org> 20240807.001-1mamba
- automatic version update by autodist

* Sat Aug 03 2024 Automatic Build System <autodist@openmamba.org> 20240803.001-1mamba
- automatic version update by autodist

* Thu Jul 25 2024 Automatic Build System <autodist@openmamba.org> 20240725.001-1mamba
- automatic version update by autodist

* Sun Jul 21 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 20240718.001-1mamba
- update to 20240718.001

* Wed Jul 17 2024 Automatic Build System <autodist@openmamba.org> 20240716.001-1mamba
- automatic version update by autodist

* Wed Jul 10 2024 Automatic Build System <autodist@openmamba.org> 20240709.001-1mamba
- automatic version update by autodist

* Sat Jun 15 2024 Automatic Build System <autodist@openmamba.org> 20240614.001-1mamba
- automatic version update by autodist

* Sat Jun 01 2024 Automatic Build System <autodist@openmamba.org> 20240601.001-1mamba
- automatic version update by autodist

* Fri May 24 2024 Automatic Build System <autodist@openmamba.org> 20240523.001-1mamba
- automatic version update by autodist

* Sat May 18 2024 Automatic Build System <autodist@openmamba.org> 20240509.001-1mamba
- automatic version update by autodist

* Sat Apr 27 2024 Automatic Build System <autodist@openmamba.org> 20240426.001-1mamba
- automatic version update by autodist

* Mon Apr 22 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 20240420.001-1mamba
- update to 20240420.001

* Thu Feb 15 2024 Automatic Build System <autodist@openmamba.org> 20240209.001-1mamba
- automatic version update by autodist

* Tue Feb 06 2024 Automatic Build System <autodist@openmamba.org> 20240206.001-1mamba
- automatic version update by autodist

* Fri Jan 26 2024 Automatic Build System <autodist@openmamba.org> 20240126.001-1mamba
- automatic version update by autodist

* Wed Jan 24 2024 Automatic Build System <autodist@openmamba.org> 20240123.001-1mamba
- automatic version update by autodist

* Tue Jan 16 2024 Automatic Build System <autodist@openmamba.org> 20240116.001-1mamba
- automatic version update by autodist

* Sun Jan 14 2024 Automatic Build System <autodist@openmamba.org> 20240111.001-1mamba
- automatic version update by autodist

* Wed Dec 27 2023 Automatic Build System <autodist@mambasoft.it> 20231220.001-1mamba
- automatic version update by autodist

* Fri Dec 15 2023 Automatic Build System <autodist@mambasoft.it> 20231215.001-1mamba
- automatic version update by autodist

* Fri Dec 01 2023 Automatic Build System <autodist@mambasoft.it> 20231130.001-1mamba
- automatic version update by autodist

* Sun Nov 26 2023 Automatic Build System <autodist@mambasoft.it> 20231125.001-1mamba
- automatic version update by autodist

* Sat Nov 18 2023 Automatic Build System <autodist@mambasoft.it> 20231118.001-1mamba
- automatic version update by autodist

* Tue Nov 14 2023 Automatic Build System <autodist@mambasoft.it> 20231114.001-1mamba
- automatic version update by autodist

* Fri Nov 10 2023 Automatic Build System <autodist@mambasoft.it> 20231110.001-1mamba
- automatic version update by autodist

* Thu Nov 02 2023 Automatic Build System <autodist@mambasoft.it> 20231102.001-1mamba
- automatic version update by autodist

* Wed Nov 01 2023 Automatic Build System <autodist@mambasoft.it> 20231031.001-1mamba
- automatic version update by autodist

* Fri Oct 20 2023 Automatic Build System <autodist@mambasoft.it> 20231020.001-1mamba
- automatic version update by autodist

* Fri Oct 13 2023 Automatic Build System <autodist@mambasoft.it> 20231013.001-1mamba
- automatic version update by autodist

* Wed Oct 11 2023 Automatic Build System <autodist@mambasoft.it> 20231010.001-1mamba
- automatic version update by autodist

* Tue Sep 26 2023 Automatic Build System <autodist@mambasoft.it> 20230926.001-1mamba
- automatic version update by autodist

* Sun Sep 24 2023 Automatic Build System <autodist@mambasoft.it> 20230923.001-1mamba
- automatic version update by autodist

* Thu Sep 07 2023 Automatic Build System <autodist@mambasoft.it> 20230907.001-1mamba
- automatic version update by autodist

* Tue Sep 05 2023 Automatic Build System <autodist@mambasoft.it> 20230904.001-1mamba
- automatic version update by autodist

* Thu Aug 31 2023 Automatic Build System <autodist@mambasoft.it> 20230830.001-1mamba
- automatic version update by autodist

* Sat Aug 12 2023 Automatic Build System <autodist@mambasoft.it> 20230811.001-1mamba
- automatic version update by autodist

* Thu Jul 20 2023 Automatic Build System <autodist@mambasoft.it> 20230719.001-1mamba
- automatic version update by autodist

* Tue Jul 18 2023 Automatic Build System <autodist@mambasoft.it> 20230714.001-1mamba
- automatic version update by autodist

* Tue Jun 27 2023 Automatic Build System <autodist@mambasoft.it> 20230626.001-1mamba
- automatic version update by autodist

* Mon May 29 2023 Automatic Build System <autodist@mambasoft.it> 20230528.001-1mamba
- automatic version update by autodist

* Thu May 18 2023 Automatic Build System <autodist@mambasoft.it> 20230516.001-1mamba
- automatic version update by autodist

* Sat May 06 2023 Automatic Build System <autodist@mambasoft.it> 20230426.002-1mamba
- automatic version update by autodist

* Thu Apr 27 2023 Automatic Build System <autodist@mambasoft.it> 20230426.001-1mamba
- automatic version update by autodist

* Mon Apr 10 2023 Automatic Build System <autodist@mambasoft.it> 20230410.001-1mamba
- automatic version update by autodist

* Mon Apr 03 2023 Automatic Build System <autodist@mambasoft.it> 20230331.001-1mamba
- automatic version update by autodist

* Thu Mar 23 2023 Automatic Build System <autodist@mambasoft.it> 20230322.001-1mamba
- automatic version update by autodist

* Fri Mar 17 2023 Automatic Build System <autodist@mambasoft.it> 20230316.001-1mamba
- automatic version update by autodist

* Tue Jan 04 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 20210112.006-2mamba
- updated maintainer

* Sat Feb 20 2021 Automatic Build System <autodist@mambasoft.it> 20210112.006-1mamba
- automatic version update by autodist

* Mon Apr 10 2017 Automatic Build System <autodist@mambasoft.it> 20140910.003-1mamba
- automatic update by autodist

* Fri Nov 02 2012 Automatic Build System <autodist@mambasoft.it> 20120719.001-1mamba
- automatic version update by autodist

* Wed Mar 25 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 20081208-1mamba
- update to 20081208

* Mon Nov 03 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.17-2mamba
- automatic rebuild by autodist

* Fri May 30 2008 gil <puntogil@libero.it> 1.17-1mamba
- update to 1.17 by autospec

* Tue Feb 15 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.09-1qilnx
- package created by autospec
